SET LANGUAGE FRENCH;
SET LANGUAGE ENGLISH;
SET LANGUAGE BRITISH;
SET DATEFORMAT YDM;
SET DATEFORMAT MDY;

-- unsafe:

SELECT CONVERT(DATETIME, '2012-09-08');
SELECT CONVERT(DATETIME, '09/08/2012');
SELECT CONVERT(DATETIME, '2012-09-08 12:34:56.789');

-- safe:

SELECT CONVERT(DATETIME, '20120908');
SELECT CONVERT(DATETIME, '2012-09-08T12:34:56.789');

-- always safe but only for DATE data type:

SELECT CONVERT(DATE, '2012-09-08');
SELECT CONVERT(DATE, '20120908');


